Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 297076 - net-wireless/acx does not compile against newer kernels
Summary: net-wireless/acx does not compile against newer kernels
Status: VERIFIED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: High normal (vote)
Assignee: Gentoo Linux bug wranglers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-15 18:49 UTC by mike marmer
Modified: 2011-05-08 14:02 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mike marmer 2009-12-15 18:49:32 UTC
See here post #14
http://mepislovers.org/forums/showthread.php?t=23946&page=2&highlight=acx100
See here for my sabayon bug report -- http://bugs.sabayonlinux.org/show_bug.cgi?id=1029
I have not tried running the ebuild against a gentoo kernel, but I am fairly certain that compiling the unpatched source fails with all newer kernels.
Patch is from here http://ubuntuforums.org/showthread.php?t=1321303&highlight=acx+100+karmic
Here's example post from Gentoo forum http://forums.gentoo.org/viewtopic-t-724529-highlight-acx.html

Reproducible: Always

Steps to Reproduce:
1. Use any newer kernel, say 2.6.31
2. emerge acx
3. compile fails

Actual Results:  
compile fails


Expected Results:  
compile failed -- when I use the patched source here, I get a good compile
Patched source is here.
https://sites.google.com/site/stevosfilehideaway/Home/acx-20080210.zip
Comment 1 mike marmer 2009-12-15 18:50:41 UTC
Note that I have submitted patched source which solves the problem
Comment 2 David Abbott gentoo-dev 2009-12-15 23:44:23 UTC
(In reply to comment #0)

> I have not tried running the ebuild against a gentoo kernel, but I am fairly
> certain that compiling the unpatched source fails with all newer kernels.

Mike please provide emerge --info net-wireless/acx
Please test against a Gentoo kernel and provide the build log.
Thanks for the report.

Comment 3 mike marmer 2009-12-18 00:05:59 UTC
The latest ebuild did compile correctly against 2.6.32 gentoo kernel.  I think a patch has been added since I last reviewed this.  Sorry.  Thanks a lot.